mod.BossIcon = [[Interface\ICONS\achievement_boss_occuthar]]
mod.SubCatIcon = [[Interface\ICONS\achievement_zone_tolbarad]]
mod.SupressGlobalHealthFrames = true

---------------------------
-- Variables

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
	end
	L = mod:GetLocale()
	self.L = L

	self:SetTrigger(52363)
	self:SetWin()
	-- Beserk Timer guessing same as other bosses
	self:RegisterAlert("Berserk", self:BerserkTimer(360))

	-- SearingShadows
	self:RegisterAlert("mSearingShadowsTargt", self:TargetMessage(96913))
	self:RegisterAlert("tShadowsDur", self:DurTargetTimer(30, 96913))
	self:RegisterAlert("tShadowsCD", self:CDTimer(30, 96913))
	self:RegisterAlert("wSearing", self:CastWarning(96913))

	-- Meteor Slash
	self:RegisterAlert("tSlashCD", self:CDTimer(16, 95172))
	self:RegisterAlert("wSlash", self:CastWarning(95172))

	-- Firestorm
	self:RegisterAlert("tStormDur", self:DurTimer(15, 88972))
	self:RegisterAlert("tStormCast", self:CastTimer(3, 88972))
	self:RegisterAlert("wStorm", self:CastWarning(88972))
end

---------------------------
-- Locals

---------------------------
-- Start

function mod:OnEngage(trigger)
	-- beserk timer
	self:Call("Berserk", "Start")
	-- Searing shadows
	self:Track("SearingShadows", 96913)
end

function mod:SearingShadows(event, args)
	if event == "SPELL_CAST_SUCCESS" then
		self:Call("tShadowsCD", "Start")
		self:Call("wSearing", "Show")
	end
end
